> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/customer/{customerId}



## OpenAPI

````yaml /api-reference/customer.openapi.json get /realms/{realmId}/organizations/{organizationId}/customer/{customerId}
openapi: 3.0.3
info:
  title: Customer
  version: 1.0.0
  description: >-
    Portão 3 customer API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=6 copied:manual=0 unknown=8.
servers:
  - url: https://api.customer.v2.portao3.com.br/
    description: production
  - url: https://api.customer.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Customer Billing
  - name: Customers
paths:
  /realms/{realmId}/organizations/{organizationId}/customer/{customerId}:
    get:
      tags:
        - Customers
      summary: /realms/{realmId}/organizations/{organizationId}/customer/{customerId}
      operationId: getRealmsByRealmIdOrganizationsByOrganizationIdCustomerByCustomerId
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: customerId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: Undocumented response (no code type, no existing spec).
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````